org.wildfly.swarm.config.ee

## Class ContextService<T extends ContextService<T>>

- java.lang.Object
- - org.wildfly.swarm.config.ee.ContextService<T>

-     public class ContextService<T extends ContextService<T>>
      extends Object

  A context service

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextService(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `jndiName()` The JNDI Name to lookup the context service.
    `T` | `jndiName(String value)` The JNDI Name to lookup the context service.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `useTransactionSetupProvider()` Flag which indicates if the transaction setup provider should be used
    `T` | `useTransactionSetupProvider(Boolean value)` Flag which indicates if the transaction setup provider should be used

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextService

          public ContextService(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### jndiName

          public String jndiName()

      The JNDI Name to lookup the context service.

    - #### jndiName

          public T jndiName(String value)

      The JNDI Name to lookup the context service.

    - #### useTransactionSetupProvider

          public Boolean useTransactionSetupProvider()

      Flag which indicates if the transaction setup provider should be used

    - #### useTransactionSetupProvider

          public T useTransactionSetupProvider(Boolean value)

      Flag which indicates if the transaction setup provider should be used

Copyright © 2017 JBoss by Red Hat. All rights reserved.